Fred Analytics Api (v1)

Download OpenAPI specification:

Introduction

L'API d'analytique comptable fournit des points de terminaison pour la gestion des dimensions analytiques de la comptabilité. Elle permet des opérations liées aux axes analytiques (y compris les axes système comme la TVA et la Quantité), aux tags (valeurs d'axes organisées en hiérarchie sur plusieurs niveaux), aux règles d'affectation analytique par compte (avec mécanisme de récupération), aux catégories de comptes, aux documents comptables analytiques, aux analytiques externes et aux transactions. L'API comprend également des fonctionnalités pour la gestion des bibliothèques d'axes et de tags partagées et des paramètres analytiques.

Authentication

AnalyticsAccountAnalyticsRules

Get account analytics rules given an accounting folder Id

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Create an account analytics rule

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:

The command containing the data of the account analytics rule to create.

required
object (CreateAccountAnalyticsRuleTriggerCommand)
required
Array of objects (CreateAccountAnalyticsRuleTagActionCommand)

Responses

Request samples

Content type
{
  • "Trigger": {
    },
  • "TagActions": [
    ]
}

Response samples

Content type
0
0

Update an account analytics rule

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

ruleId
required
integer <int32>

The account analytics rule identifier.

Request Body schema:

The command containing the updated data of the account analytics rule.

required
object (UpdateAccountAnalyticsRuleTriggerCommand)
required
Array of objects (UpdateAccountAnalyticsRuleTagActionCommand)

Responses

Request samples

Content type
{
  • "Trigger": {
    },
  • "TagActions": [
    ]
}

Delete an account analytics rule

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

ruleId
required
integer <int32>

The account analytics rule identifier.

Responses

Delete an account analytics rule from an account

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

query Parameters
accountId
required
integer <int32>

The account identifier whose analytics rule must be deleted.

subAccountId
integer <int32>

The optional sub-account identifier whose analytics rule must be deleted.

Responses

Get rules in recovery

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Responses

Response samples

Content type
{
  • "Rules": [
    ]
}

Enqueue a new recovery

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:
required

The command containing the data of the account analytics rules recovery to enqueue.

RuleIds
required
Array of integers <int32> unique [ items <int32 > ]
RecoveryStartDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "RuleIds": [
    ],
  • "RecoveryStartDate": "2019-08-24T14:15:22Z"
}

Cancel a recovery

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:
required

The command containing the data of the account analytics rules recovery to cancel.

RecoveryId
required
string <uuid>

Responses

Request samples

Content type
{
  • "RecoveryId": "33f4a4b3-cc0d-4801-a73d-953eac64f5e1"
}

Start an account analytics rule recovery

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:
required

The command containing the data of the account analytics rule recovery to start.

RecoveryId
required
string <uuid>
RuleId
required
integer <int32>

Responses

Request samples

Content type
{
  • "RecoveryId": "33f4a4b3-cc0d-4801-a73d-953eac64f5e1",
  • "RuleId": 0
}

End an account analytics rule recovery

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:
required

The command containing the data of the account analytics rule recovery to end.

RecoveryId
required
string <uuid>
RuleId
required
integer <int32>
RecoveryStartDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "RecoveryId": "33f4a4b3-cc0d-4801-a73d-953eac64f5e1",
  • "RuleId": 0,
  • "RecoveryStartDate": "2019-08-24T14:15:22Z"
}

Cancel account analytics rule recoveries

Authorizations:
oauth2
Request Body schema:

The command containing the data of the account analytics rule recoveries to cancel.

LastUpdateBefore
required
string <date-time>

Responses

Request samples

Content type
{
  • "LastUpdateBefore": "2019-08-24T14:15:22Z"
}

AnalyticsAccountingDocuments

Get all Accounting Documents Analytics axes and tags Deprecated

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

query Parameters
accountingDocumentsIds
required
Array of integers <int32> [ items <int32 > ]

The identifiers of the accounting documents whose analytics axes and tags are retrieved.

Responses

Response samples

Content type
[
  • {
    }
]

Create many Accounting Documents Analytics axes and tags

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:

The command containing the accounting documents analytics axes and tags to create.

ComplementaryInformations
string or null
AccountingDocumentIds
required
Array of integers <int32> [ items <int32 > ]
required
Array of objects (CreateAccountingDocumentAxisCommand)
SourceId
string or null
Source
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra" "ImportAnalytics"
ActionFrom
required
string
Enum: "Files" "EntryManager"

Responses

Request samples

Content type
{
  • "ComplementaryInformations": "string",
  • "AccountingDocumentIds": [
    ],
  • "Axises": [
    ],
  • "SourceId": "string",
  • "Source": "Unknown",
  • "ActionFrom": "Files"
}

Response samples

Content type
[
  • {
    }
]

Update an Accounting Document Analytics axes and tags

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:

The command containing the accounting document analytics axes and tags to update.

Id
required
integer <int32>
AccountingDocumentId
required
integer <int32>
ComplementaryInformations
string or null
required
Array of objects (UpdateAccountingDocumentAxisCommand)
ActionFrom
required
string
Enum: "Files" "EntryManager"

Responses

Request samples

Content type
{
  • "Id": 0,
  • "AccountingDocumentId": 0,
  • "ComplementaryInformations": "string",
  • "Axises": [
    ],
  • "ActionFrom": "Files"
}

Response samples

Content type
{
  • "Id": 0,
  • "AccountingDocumentId": 0,
  • "Axises": [
    ],
  • "ComplementaryInformations": "string",
  • "SourceId": "string",
  • "Source": "Unknown"
}

Get Accounting Documents Analytics axes and tags by ids

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:
required

The query containing the accounting document identifiers to retrieve analytics for.

AccountingDocumentsIds
required
Array of integers <int32> [ items <int32 > ]

Responses

Request samples

Content type
{
  • "AccountingDocumentsIds": [
    ]
}

Response samples

Content type
[
  • {
    }
]

Search Accounting Documents Analytics axes and tags based on analytic filters

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier

Request Body schema:

The search query with analytic filters

WithAxisId
integer or null <int32>
WithoutAxisId
integer or null <int32>
WithTagId
integer or null <int32>
WithoutTagId
integer or null <int32>

Responses

Request samples

Content type
{
  • "WithAxisId": 0,
  • "WithoutAxisId": 0,
  • "WithTagId": 0,
  • "WithoutTagId": 0
}

Response samples

Content type
[
  • 0
]

Delete an Accounting Document Analytics axes and tags by its analytics ID

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier

Request Body schema:

The command containing the analytics ID to delete

AccountingDocumentAnalyticsId
required
integer <int32>
ActionFrom
required
string
Enum: "Files" "EntryManager"

Responses

Request samples

Content type
{
  • "AccountingDocumentAnalyticsId": 0,
  • "ActionFrom": "Files"
}

Delete an Accounting Document Analytics axes and tags by its document ID

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier

Request Body schema:

The command containing the document ID to delete

AccountingDocumentId
required
integer <int32>
ActionFrom
required
string
Enum: "Files" "EntryManager"

Responses

Request samples

Content type
{
  • "AccountingDocumentId": 0,
  • "ActionFrom": "Files"
}

AnalyticsAccountsCategories

Get all Accounts Categories from a accounting folder

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Responses

Response samples

Content type
[
  • "CompteDeCharge"
]

Create a Account Category

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:

The command describing the account category to create.

Category
required
string
Enum: "CompteDeCharge" "CompteDeProduit" "CompteDeBilan" "CompteDeResultat"

Responses

Request samples

Content type
{
  • "Category": "CompteDeCharge"
}

Delete a Account Category

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:

The command describing the account category to delete.

Category
required
string
Enum: "CompteDeCharge" "CompteDeProduit" "CompteDeBilan" "CompteDeResultat"

Responses

Request samples

Content type
{
  • "Category": "CompteDeCharge"
}

Get followed accounts

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Responses

Response samples

Content type
[
  • {
    }
]

AnalyticsAxises

Get all axises Deprecated

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

query Parameters
includeSystemAxises
boolean
Default: false

Whether to include the VAT system axis in the results.

axisType
string
Enum: "TVA" "Management" "CSE" "SCI" "Establishment" "Quantity" "ReceiptCategory" "PaymentCategory" "PaymentMode" "VatCode"

The axis type to filter on. When null, management axes are returned.

Responses

Response samples

Content type
[
  • {
    }
]

Create a management axis

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

Request Body schema:

The command describing the management axis to create.

Name
required
string non-empty
Description
string or null
Array of objects or null (TagCreationCommand)
Source
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra" "ImportAnalytics"
SourceId
string or null

Responses

Request samples

Content type
{
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string"
}

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisType": "TVA",
  • "AccountingFolderId": 0,
  • "CompanyId": 0,
  • "LibraryId": 0,
  • "CanBeDeleted": true
}

Get all axises by axis type Deprecated

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

query Parameters
axisType
string
Enum: "TVA" "Management" "CSE" "SCI" "Establishment" "Quantity" "ReceiptCategory" "PaymentCategory" "PaymentMode" "VatCode"

The axis type to filter on. When null, no axises are returned.

Responses

Response samples

Content type
[
  • {
    }
]

Get axises

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

Request Body schema:

The query describing the axis filters to apply. When omitted, all axises are returned.

WithTypes
Array of strings or null
Enum: "TVA" "Management" "CSE" "SCI" "Establishment" "Quantity" "ReceiptCategory" "PaymentCategory" "PaymentMode" "VatCode"
WithoutTypes
Array of strings or null
Enum: "TVA" "Management" "CSE" "SCI" "Establishment" "Quantity" "ReceiptCategory" "PaymentCategory" "PaymentMode" "VatCode"

Responses

Request samples

Content type
{
  • "WithTypes": [
    ],
  • "WithoutTypes": [
    ]
}

Response samples

Content type
[
  • {
    }
]

Get one axis by its id

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

axisId
required
integer <int32>

The axis identifier.

Responses

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisType": "TVA",
  • "AccountingFolderId": 0,
  • "CompanyId": 0,
  • "LibraryId": 0,
  • "CanBeDeleted": true
}

Put an axis

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

axisId
required
integer <int32>

The axis identifier.

Request Body schema:

The command describing the axis values to update.

Name
required
string non-empty
Description
string or null

Responses

Request samples

Content type
{
  • "Name": "string",
  • "Description": "string"
}

Remove an axis

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

axisId
required
integer <int32>

The axis identifier.

Responses

Get one system axis by its source type Deprecated

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

query Parameters
sourceType
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra" "ImportAnalytics"

The source type used to identify the system axis.

Responses

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisType": "TVA",
  • "AccountingFolderId": 0,
  • "CompanyId": 0,
  • "LibraryId": 0,
  • "CanBeDeleted": true
}

Create a system axis

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

query Parameters
axisType
string
Enum: "TVA" "Management" "CSE" "SCI" "Establishment" "Quantity" "ReceiptCategory" "PaymentCategory" "PaymentMode" "VatCode"

The axis type to assign to the system axis. Defaults to Management when not provided.

Request Body schema:

The command describing the system axis to create.

Name
required
string non-empty
Description
string or null
Array of objects or null (TagCreationCommand)
Source
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra" "ImportAnalytics"
SourceId
string or null

Responses

Request samples

Content type
{
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string"
}

Response samples

Content type
0
0

Get all tags usage count by axis

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Responses

Response samples

Content type
{
  • "Axises": [
    ]
}

AnalyticsAxisesLibrary

Search library axises.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

Request Body schema:

The optional search criteria used to filter the library axises.

WithTypes
Array of strings or null
Enum: "TVA" "Management" "CSE" "SCI" "Establishment" "Quantity" "ReceiptCategory" "PaymentCategory" "PaymentMode" "VatCode"
WithoutTypes
Array of strings or null
Enum: "TVA" "Management" "CSE" "SCI" "Establishment" "Quantity" "ReceiptCategory" "PaymentCategory" "PaymentMode" "VatCode"

Responses

Request samples

Content type
{
  • "WithTypes": [
    ],
  • "WithoutTypes": [
    ]
}

Response samples

Content type
[
  • {
    }
]

Create a library axis.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

Request Body schema:

The command describing the library axis to create.

Name
required
string non-empty
Description
string or null
Array of objects or null (TagCreationCommand)
Source
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra" "ImportAnalytics"
SourceId
string or null

Responses

Request samples

Content type
{
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string"
}

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisType": "TVA",
  • "AccountingFolderId": 0,
  • "CompanyId": 0,
  • "LibraryId": 0,
  • "CanBeDeleted": true
}

Update a library axis.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

axisId
required
integer <int32>

The axis identifier.

Request Body schema:

The command describing the library axis updates to apply.

Name
required
string non-empty
Description
string or null

Responses

Request samples

Content type
{
  • "Name": "string",
  • "Description": "string"
}

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisType": "TVA",
  • "AccountingFolderId": 0,
  • "CompanyId": 0,
  • "LibraryId": 0,
  • "CanBeDeleted": true
}

Delete a library axis.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

axisId
required
integer <int32>

The axis identifier.

Responses

AnalyticsExternalAnalytics

Get analytics for external modules

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:
required

The query describing the external analytics to retrieve.

ExternalIds
required
Array of integers <int32> [ items <int32 > ]
ExternalType
required
string
Enum: "Unknown" "FixedAsset" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "Cashbook"

Responses

Request samples

Content type
{
  • "ExternalIds": [
    ],
  • "ExternalType": "Unknown"
}

Response samples

Content type
[
  • {
    }
]

Create many external analytics

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:

The command containing the external analytics to create.

ExternalIds
required
Array of integers <int32> [ items <int32 > ]
ExternalType
required
string
Enum: "Unknown" "FixedAsset" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "Cashbook"
required
Array of objects (CreateExternalAxisCommand)
SourceId
string or null
Source
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra" "ImportAnalytics"

Responses

Request samples

Content type
{
  • "ExternalIds": [
    ],
  • "ExternalType": "Unknown",
  • "Axises": [
    ],
  • "SourceId": "string",
  • "Source": "Unknown"
}

Response samples

Content type
[
  • {
    }
]

Update an external analytic

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:

The command containing the external analytic to update.

Id
required
integer <int32>
required
Array of objects (UpdateExternalAxisCommand)

Responses

Request samples

Content type
{
  • "Id": 0,
  • "Axises": [
    ]
}

Response samples

Content type
{
  • "Id": 0,
  • "ExternalId": 0,
  • "ExternalType": "Unknown",
  • "Axises": [
    ],
  • "SourceId": "string",
  • "Source": "Unknown"
}

Update or create many external analytics

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:

The command containing the external analytics to update or create.

ExternalType
required
string
Enum: "Unknown" "FixedAsset" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "Cashbook"
ExternalIds
required
Array of integers <int32> [ items <int32 > ]
required
Array of objects (UpsertExternalAxisCommand)
SourceId
string or null
SourceType
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra" "ImportAnalytics"

Responses

Request samples

Content type
{
  • "ExternalType": "Unknown",
  • "ExternalIds": [
    ],
  • "Axises": [
    ],
  • "SourceId": "string",
  • "SourceType": "Unknown"
}

Response samples

Content type
[
  • {
    }
]

Delete an external analytic by its identifier

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

externalId
required
integer <int32>

The external analytics identifier.

Responses

Delete external analytics matching the given external identifier

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:

The command describing the external identifier of the external analytics to delete.

ExternalId
required
integer <int32>
ExternalType
required
string
Enum: "Unknown" "FixedAsset" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "Cashbook"

Responses

Request samples

Content type
{
  • "ExternalId": 0,
  • "ExternalType": "Unknown"
}

Delete external analytics matching the given source identifier

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:

The command describing the source identifier of the external analytics to delete.

SourceId
required
string non-empty
SourceType
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra" "ImportAnalytics"

Responses

Request samples

Content type
{
  • "SourceId": "string",
  • "SourceType": "Unknown"
}

AnalyticsLibrariesCompany

Get all libraries for a company.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Create a library for a company.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

Request Body schema:

The command describing the library to create.

Name
required
string non-empty
Description
string or null
ChartOfAccountsTypes
Array of strings or null unique
Enum: "InqomPcg" "PCAAssociatif" "PCGeneral" "PCCSE" "PCNotary" "PCAgricole"

Responses

Request samples

Content type
{
  • "Name": "string",
  • "Description": "string",
  • "ChartOfAccountsTypes": [
    ]
}

Response samples

Content type
{
  • "Id": 0,
  • "CompanyId": 0,
  • "Name": "string",
  • "Description": "string",
  • "IsPublished": true,
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "ChartOfAccountsTypes": [
    ],
  • "CanBeDeleted": true
}

Get one library for a company.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

Responses

Response samples

Content type
{
  • "Id": 0,
  • "CompanyId": 0,
  • "Name": "string",
  • "Description": "string",
  • "IsPublished": true,
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "ChartOfAccountsTypes": [
    ],
  • "CanBeDeleted": true
}

Update a library for a company.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

Request Body schema:

The command describing the library updates to apply.

Name
required
string non-empty
Description
string or null
ChartOfAccountsTypes
Array of strings or null unique
Enum: "InqomPcg" "PCAAssociatif" "PCGeneral" "PCCSE" "PCNotary" "PCAgricole"

Responses

Request samples

Content type
{
  • "Name": "string",
  • "Description": "string",
  • "ChartOfAccountsTypes": [
    ]
}

Response samples

Content type
{
  • "Id": 0,
  • "CompanyId": 0,
  • "Name": "string",
  • "Description": "string",
  • "IsPublished": true,
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "ChartOfAccountsTypes": [
    ],
  • "CanBeDeleted": true
}

Delete a library for a company.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

Responses

Import a library from a CSV file (multipart/form-data).

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>
Request Body schema: multipart/form-data
File
required
string <binary>
LibraryName
required
string
LibraryDescription
string

Responses

Response samples

Content type
{
  • "Id": 0,
  • "CompanyId": 0,
  • "Name": "string",
  • "Description": "string",
  • "IsPublished": true,
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "ChartOfAccountsTypes": [
    ],
  • "CanBeDeleted": true
}

Publish or unpublish a library for a company.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

query Parameters
publish
boolean

When true the library is published; when false it is unpublished.

Responses

Response samples

Content type
{
  • "Id": 0,
  • "CompanyId": 0,
  • "Name": "string",
  • "Description": "string",
  • "IsPublished": true,
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "ChartOfAccountsTypes": [
    ],
  • "CanBeDeleted": true
}

AnalyticsLibraryActivations

Get the active library for an accounting folder.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Responses

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "IsActive": true,
  • "IsInqomLibrary": true,
  • "AxisCount": 0,
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "Axises": [
    ]
}

Get available libraries for an accounting folder.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Activate a library for an accounting folder.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
libraryId
required
integer <int32>

Responses

Deactivate a library for an accounting folder.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
libraryId
required
integer <int32>

Responses

Favorite one or more axises from a library for an accounting folder.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

libraryId
required
integer <int32>

The library identifier.

Request Body schema:
required

The command carrying the axis identifiers to favorite.

AxisIds
required
Array of integers <int32> unique [ items <int32 > ]

Responses

Request samples

Content type
{
  • "AxisIds": [
    ]
}

Response samples

Content type
[
  • {
    }
]

Unfavorite an axis from a library for an accounting folder.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

libraryId
required
integer <int32>

The library identifier.

axisId
required
integer <int32>

The axis identifier.

Responses

AnalyticsSettings

Gets the analytics settings of the specified accounting folder.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Responses

Response samples

Content type
{
  • "DefaultToAnalyticsView": true,
  • "FollowedAccountCategories": [
    ]
}

Updates the analytics settings of the specified accounting folder.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:

The command holding the new settings values to apply to the accounting folder.

DefaultToAnalyticsView
required
boolean

Responses

Request samples

Content type
{
  • "DefaultToAnalyticsView": true
}

AnalyticsTags

Add a tag to an axis.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

axisId
required
integer <int32>

The axis identifier.

Request Body schema:
required

The command describing the tag to create.

Name
required
string non-empty
Description
string or null
Color
string or null
Enum: "IndigoLight" "SkyLight" "PinkLight" "VioletLight" "OrangeLight" "YellowLight" "TealLight" "GrayLight" "Indigo" "Sky" "Pink" "Violet" "Orange" "Yellow" "Teal" "Gray" "IndigoDark" "SkyDark" "PinkDark" "VioletDark" "OrangeDark" "YellowDark" "TealDark" "GrayDark"
Source
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra" "ImportAnalytics"
SourceId
string or null
ParentTagId
integer or null <int32>

Responses

Request samples

Content type
{
  • "Name": "string",
  • "Description": "string",
  • "Color": "IndigoLight",
  • "Source": "Unknown",
  • "SourceId": "string",
  • "ParentTagId": 0
}

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisType": "TVA",
  • "AccountingFolderId": 0,
  • "CompanyId": 0,
  • "LibraryId": 0,
  • "CanBeDeleted": true
}

Add multiple tags for an axis.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

axisId
required
integer <int32>

The axis identifier.

Request Body schema:
required

The command describing the collection of tags to create.

required
Array of objects (TagCreationCommand)

Responses

Request samples

Content type
{
  • "TagCreationCommands": [
    ]
}

Response samples

Content type
[
  • {
    }
]

Add a system tag for a system axis.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

axisId
required
integer <int32>

The axis identifier.

Request Body schema:
required

The command describing the system tag to create.

Name
required
string non-empty
Description
string or null
Color
string or null
Enum: "IndigoLight" "SkyLight" "PinkLight" "VioletLight" "OrangeLight" "YellowLight" "TealLight" "GrayLight" "Indigo" "Sky" "Pink" "Violet" "Orange" "Yellow" "Teal" "Gray" "IndigoDark" "SkyDark" "PinkDark" "VioletDark" "OrangeDark" "YellowDark" "TealDark" "GrayDark"
Source
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra" "ImportAnalytics"
SourceId
string or null
ParentTagId
integer or null <int32>

Responses

Request samples

Content type
{
  • "Name": "string",
  • "Description": "string",
  • "Color": "IndigoLight",
  • "Source": "Unknown",
  • "SourceId": "string",
  • "ParentTagId": 0
}

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "Color": "IndigoLight",
  • "IsReadOnly": true,
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisId": 0,
  • "ParentTagId": 0,
  • "TagsCollection": [
    ],
  • "IsActivable": true,
  • "CanBeDeleted": true
}

Remove a tag.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

axisId
required
integer <int32>

The axis identifier.

tagId
required
integer <int32>

The tag identifier.

Responses

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisType": "TVA",
  • "AccountingFolderId": 0,
  • "CompanyId": 0,
  • "LibraryId": 0,
  • "CanBeDeleted": true
}

Update a tag.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

axisId
required
integer <int32>

The axis identifier.

tagId
required
integer <int32>

The tag identifier.

Request Body schema:
required

The command describing the tag updates to apply.

Name
required
string non-empty
Description
string or null
Color
string or null
Enum: "IndigoLight" "SkyLight" "PinkLight" "VioletLight" "OrangeLight" "YellowLight" "TealLight" "GrayLight" "Indigo" "Sky" "Pink" "Violet" "Orange" "Yellow" "Teal" "Gray" "IndigoDark" "SkyDark" "PinkDark" "VioletDark" "OrangeDark" "YellowDark" "TealDark" "GrayDark"

Responses

Request samples

Content type
{
  • "Name": "string",
  • "Description": "string",
  • "Color": "IndigoLight"
}

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisType": "TVA",
  • "AccountingFolderId": 0,
  • "CompanyId": 0,
  • "LibraryId": 0,
  • "CanBeDeleted": true
}

Remove a system tag.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

axisId
required
integer <int32>

The axis identifier.

tagId
required
integer <int32>

The tag identifier.

Responses

Update a system tag.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

axisId
required
integer <int32>

The axis identifier.

tagId
required
integer <int32>

The tag identifier.

Request Body schema:
required

The command describing the system tag updates to apply.

Name
required
string non-empty
Description
string or null
Color
string or null
Enum: "IndigoLight" "SkyLight" "PinkLight" "VioletLight" "OrangeLight" "YellowLight" "TealLight" "GrayLight" "Indigo" "Sky" "Pink" "Violet" "Orange" "Yellow" "Teal" "Gray" "IndigoDark" "SkyDark" "PinkDark" "VioletDark" "OrangeDark" "YellowDark" "TealDark" "GrayDark"

Responses

Request samples

Content type
{
  • "Name": "string",
  • "Description": "string",
  • "Color": "IndigoLight"
}

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "Color": "IndigoLight",
  • "IsReadOnly": true,
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisId": 0,
  • "ParentTagId": 0,
  • "TagsCollection": [
    ],
  • "IsActivable": true,
  • "CanBeDeleted": true
}

Change the read-only property for a tag.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

axisId
required
integer <int32>

The axis identifier.

tagId
required
integer <int32>

The tag identifier.

Request Body schema:
required

The command carrying the new read-only value to apply.

IsReadOnly
required
boolean

Responses

Request samples

Content type
{
  • "IsReadOnly": true
}

Update the parent (grouping) of a batch of tags.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The enterprise identifier.

axisId
required
integer <int32>

The axis identifier.

Request Body schema:
required

The command describing the tags and their new parent.

TagIds
required
Array of integers <int32> non-empty [ items <int32 > ]
ParentTagId
integer or null <int32>

Responses

Request samples

Content type
{
  • "TagIds": [
    ],
  • "ParentTagId": 0
}

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisType": "TVA",
  • "AccountingFolderId": 0,
  • "CompanyId": 0,
  • "LibraryId": 0,
  • "CanBeDeleted": true
}

AnalyticsTagsLibrary

Add a tag to a library axis.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

axisId
required
integer <int32>

The axis identifier.

Request Body schema:
required

The command describing the tag to add to the library axis.

Name
required
string non-empty
Description
string or null
Color
string or null
Enum: "IndigoLight" "SkyLight" "PinkLight" "VioletLight" "OrangeLight" "YellowLight" "TealLight" "GrayLight" "Indigo" "Sky" "Pink" "Violet" "Orange" "Yellow" "Teal" "Gray" "IndigoDark" "SkyDark" "PinkDark" "VioletDark" "OrangeDark" "YellowDark" "TealDark" "GrayDark"
Source
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra" "ImportAnalytics"
SourceId
string or null
ParentTagId
integer or null <int32>

Responses

Request samples

Content type
{
  • "Name": "string",
  • "Description": "string",
  • "Color": "IndigoLight",
  • "Source": "Unknown",
  • "SourceId": "string",
  • "ParentTagId": 0
}

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisType": "TVA",
  • "AccountingFolderId": 0,
  • "CompanyId": 0,
  • "LibraryId": 0,
  • "CanBeDeleted": true
}

Add multiple tags for a library axis.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

axisId
required
integer <int32>

The axis identifier.

Request Body schema:
required

The command describing the tags to add to the library axis.

required
Array of objects (TagCreationCommand)

Responses

Request samples

Content type
{
  • "TagCreationCommands": [
    ]
}

Response samples

Content type
[
  • {
    }
]

Update a tag on a library axis.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

axisId
required
integer <int32>

The axis identifier.

tagId
required
integer <int32>

The tag identifier.

Request Body schema:
required

The command describing the updated values of the tag.

Name
required
string non-empty
Description
string or null
Color
string or null
Enum: "IndigoLight" "SkyLight" "PinkLight" "VioletLight" "OrangeLight" "YellowLight" "TealLight" "GrayLight" "Indigo" "Sky" "Pink" "Violet" "Orange" "Yellow" "Teal" "Gray" "IndigoDark" "SkyDark" "PinkDark" "VioletDark" "OrangeDark" "YellowDark" "TealDark" "GrayDark"

Responses

Request samples

Content type
{
  • "Name": "string",
  • "Description": "string",
  • "Color": "IndigoLight"
}

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisType": "TVA",
  • "AccountingFolderId": 0,
  • "CompanyId": 0,
  • "LibraryId": 0,
  • "CanBeDeleted": true
}

Remove a tag from a library axis.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

axisId
required
integer <int32>

The axis identifier.

tagId
required
integer <int32>

The tag identifier.

Responses

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisType": "TVA",
  • "AccountingFolderId": 0,
  • "CompanyId": 0,
  • "LibraryId": 0,
  • "CanBeDeleted": true
}

Update the parent of multiple library tags.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

axisId
required
integer <int32>

The axis identifier.

Request Body schema:
required

The command describing the tags and their new parent.

TagIds
required
Array of integers <int32> non-empty [ items <int32 > ]
ParentTagId
integer or null <int32>

Responses

Request samples

Content type
{
  • "TagIds": [
    ],
  • "ParentTagId": 0
}

Response samples

Content type
{
  • "Id": 0,
  • "Name": "string",
  • "Description": "string",
  • "TagsCollection": [
    ],
  • "Source": "Unknown",
  • "SourceId": "string",
  • "IsSystem": true,
  • "AxisType": "TVA",
  • "AccountingFolderId": 0,
  • "CompanyId": 0,
  • "LibraryId": 0,
  • "CanBeDeleted": true
}

Toggle the read-only flag of a library tag.

Authorizations:
oauth2
path Parameters
companyId
required
integer <int32>

The company identifier.

libraryId
required
integer <int32>

The library identifier.

axisId
required
integer <int32>

The axis identifier.

tagId
required
integer <int32>

The tag identifier.

Request Body schema:
required

The command describing the read-only flag value to apply to the tag.

IsReadOnly
required
boolean

Responses

Request samples

Content type
{
  • "IsReadOnly": true
}

AnalyticsTransactions

Gets the analytics of the specified transactions (obsolete, use M:Fred.Analytics.Api.Controllers.TransactionsController.GetAll(System.Int32,System.Int32[],System.Threading.CancellationToken) instead). Deprecated

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

query Parameters
transactionIds
required
Array of integers <int32> [ items <int32 > ]

The identifiers of the transactions to retrieve.

Responses

Response samples

Content type
[
  • {
    }
]

Creates the analytics for one or more transactions.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:

The command describing the transaction analytics to create.

ComplementaryInformations
string or null
TransactionIds
required
Array of integers <int32> [ items <int32 > ]
required
Array of objects (CreateTransactionAxisCommand)
SourceId
string or null
Source
required
string
Enum: "Unknown" "Manual" "ImportFec" "TaxReporting" "System" "PublicApi" "PermanentFileBuilding" "ANouveaux" "FixedAsset" "Grant" "Loan" "Lease" "CapPar" "CcaPca" "CurrentAccountInterest" "ImportTra" "ImportAnalytics"

Responses

Request samples

Content type
{
  • "ComplementaryInformations": "string",
  • "TransactionIds": [
    ],
  • "Axises": [
    ],
  • "SourceId": "string",
  • "Source": "Unknown"
}

Response samples

Content type
[
  • {
    }
]

Updates the analytics of a transaction.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:

The command describing the transaction analytics to update.

Id
required
integer <int32>
TransactionId
required
integer <int32>
ComplementaryInformations
string or null
required
Array of objects (UpdateTransactionAxisCommand)

Responses

Request samples

Content type
{
  • "Id": 0,
  • "TransactionId": 0,
  • "ComplementaryInformations": "string",
  • "Axises": [
    ]
}

Response samples

Content type
{
  • "Id": 0,
  • "TransactionId": 0,
  • "Axises": [
    ],
  • "ComplementaryInformations": "string",
  • "SourceId": "string",
  • "Source": "Unknown"
}

Gets the analytics of the specified transactions.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

Request Body schema:
required

The identifiers of the transactions to retrieve.

Array
integer <int32>

Responses

Request samples

Content type
[
  • 0
]

Response samples

Content type
[
  • {
    }
]

Deletes a transaction analytics by its analytics identifier.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

transactionAnalyticsId
required
integer <int32>

The identifier of the transaction analytics to delete.

Responses

Deletes a transaction analytics by its source transaction identifier.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

transactionId
required
integer <int32>

The identifier of the source transaction whose analytics must be deleted.

Responses